<script setup lang="ts">
const { t } = useI18n();
const { gtag } = useGtag();
const localePath = useLocalePath();

if (!import.meta.env.DEV && import.meta.client)
  gtag("event", "screen_view", {
    app_name: "Halvor Pro",
    screen_name: "Index"
  });
</script>

<template>
  <v-page class="justify-center">
    <h1 class="text-4xl md:text-6xl lg:text-[6rem] xl:text-[8rem] font-bold text-wrap">
      {{ t("header.grow_your_business") }}
      <br>
      <span class="text-gradient-primary">
          {{ t("header.online") }}
        </span>
      {{ t("header.the_right_way") }}
    </h1>
    <div class="py-6 flex flex-col md:flex-row gap-3">
      <v-btn
        size="large" :text="t('actions.contact')" :to="localePath('/contact')" append-icon="$next"
        variant="flat" color="primary"
      />
      <v-btn
        size="large" :text="t('actions.options')" :to="localePath('/about')" append-icon="$next"
        variant="text"
      />
    </div>
  </v-page>
</template>

<i18n locale="en">
{
  "actions": {
    "contact": "Contact us",
    "options": "See options"
  },
  "header": {
    "grow_your_business": "Grow your business",
    "online": "online",
    "the_right_way": "the right way."
  }
}
</i18n>
<i18n locale="es">
{
  "actions": {
    "contact": "Contáctenos",
    "options": "Ver opciones"
  },
  "header": {
    "grow_your_business": "Haga crecer su negocio",
    "online": "en línea",
    "the_right_way": "de la manera correcta."
  }
}
</i18n>
